# This file is a sample scheduler configuration that allows to change the default behaviors.
# It can be used for instance to store all the schedules inside a specific database.
# The engineScheduler.properties file must be copied in the /properties/ folder of the Runtime to be taken into account.

#============================================================================
# Configure Main Scheduler Properties  
#============================================================================

org.quartz.scheduler.instanceName = RUNTIME_POSTGRES_STD
org.quartz.scheduler.instanceId = RUNTIME_POSTGRES_STD

#============================================================================
# Configure ThreadPool  
#============================================================================

org.quartz.threadPool.class = org.quartz.simpl.SimpleThreadPool
org.quartz.threadPool.threadCount = 50
org.quartz.threadPool.threadPriority = 5

#============================================================================
# Configure JobStore  
#============================================================================

org.quartz.jobStore.misfireThreshold = 60000

#org.quartz.jobStore.class = org.quartz.simpl.RAMJobStore

org.quartz.jobStore.class=org.quartz.impl.jdbcjobstore.JobStoreTX
org.quartz.jobStore.driverDelegateClass=org.quartz.impl.jdbcjobstore.PostgreSQLDelegate 
org.quartz.jobStore.useProperties=false
#org.quartz.jobStore.dataSource=internal
org.quartz.jobStore.dataSource=database01
org.quartz.jobStore.tablePrefix=STB_
org.quartz.jobStore.isClustered=false

#============================================================================
# Configure Datasources  
#============================================================================

org.quartz.dataSource.database01.driver =org.postgresql.Driver
org.quartz.dataSource.database01.URL =jdbc:postgresql://stambia-db-postgresql:5432/db_log_stambia?currentSchema=SCHEDULER
org.quartz.dataSource.database01.user =postgres
org.quartz.dataSource.database01.password =postgres
org.quartz.dataSource.database01.maxConnections = 5
org.quartz.dataSource.database01.validationQuery=

